Skip to content
Start here

Start livestreaming a meeting

realtime_kit.livestreams.start_livestreaming_a_meeting(strmeeting_id, LivestreamStartLivestreamingAMeetingParams**kwargs) -> LivestreamStartLivestreamingAMeetingResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/livestreams

Starts livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
name: Optional[str]
video_config: Optional[VideoConfig]
height: Optional[int]

Height of the livestreaming video in pixels

width: Optional[int]

Width of the livestreaming video in pixels

ReturnsExpand Collapse
class LivestreamStartLivestreamingAMeetingResponse:
data: Optional[Data]
id: Optional[str]

The livestream ID.

ingest_server: Optional[str]

The server URL to which the RTMP encoder sends the video and audio data.

playback_url: Optional[str]

The web address that viewers can use to watch the livestream.

status: Optional[Literal["LIVE", "IDLE", "ERRORED", "INVOKED"]]
One of the following:
"LIVE"
"IDLE"
"ERRORED"
"INVOKED"
stream_key: Optional[str]

Unique key for accessing each livestream.

success: Optional[bool]

Start livestreaming a meeting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.livestreams.start_livestreaming_a_meeting(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
    name="prdmmp-xhycsl",
)
print(response.data)
{
  "data": {
    "id": "7088bba8-f522-49a8-b59b-3cd0e946bbb0",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "INVOKED",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "7088bba8-f522-49a8-b59b-3cd0e946bbb0",
    "ingest_server": "rtmps://live.cloudflare.com:443/live/",
    "playback_url": "https://customer-s8oj0c1n5ek8ah1e.cloudflarestream.com/7de6a3fec0f9c05bf1df140950d3a237/manifest/video.m3u8",
    "status": "INVOKED",
    "stream_key": "f26566285faca6fbe2e79a73a66rsrrsrrsr3cde23a2bb7dbc6c2c1761b98f4e4"
  },
  "success": true
}